%define name 	me-tv
%define version 1.4.0.10
%define release %mkrel 2

Summary:        Me TV is a digital television (DVB) viewer for GNOME
Summary(de):	Me TV ist ein Betrachter für digitales Fernsehen (DVB)
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:        GPLv3
Group:		Graphical desktop/GNOME
URL:            https://launchpad.net/me-tv
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-libxml-perl 
BuildRequires:  pkgconfig 
BuildRequires:  %{_lib}xine-devel 
BuildRequires:  %{_lib}gnome2_0-devel 
BuildRequires:  %{_lib}gnomeui2_0-devel 
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}gnet-2.0-devel 
BuildRequires:  intltool 
BuildRequires:  %{_lib}gnomemm2.6-devel
BuildRequires:  %{_lib}gnomeuimm2.6_1-devel
BuildRequires:  gcc-c++ 
BuildRequires:  gettext-devel 
BuildRequires:  %{_lib}glade2.0_0-devel 
BuildRequires:  %{_lib}xtst-devel 
BuildRequires:  sqlite3-devel
BuildRequires:	imagemagick
BuildRequires:	gnome-common
BuildRequires:	%{_lib}xml++2.6-devel
BuildRequires:	vlc-devel
BuildRequires:	%{_lib}unique-devel
BuildRequires:	%{_lib}gstreamer0.10_0.10-devel
BuildRequires:	%{_lib}gstreamer-plugins-base0.10-devel

%description
Me TV is a digital television (DVB) viewer for GNOME. 
Me TV was developed for the modern digital lounge room with a PC for a media centre 
that is capable of normal PC tasks (web surfing, word processing and watching TV).
It is not designed to be a full-blown media centre, such as MythTV, 
but will integrate well with an existing GNOME desktop.

%description -l de
Me TV ist ein Betrachter für digitales Fernsehen (DVB) für GNOME.
Me-TV wird für den modernen digitalen Aufenthaltsraum entwickelt, der mit einem
PC als Media-Center ausgestattet ist, welcher aber auch für normale PC Aufgaben wie
(Web-Surfen, Textverarbeitung und Fernsehen) einsatzbereit ist. Es ist nicht so gestaltet,
dass es ein komplettes Media-Center wie z.B. MythTV ist, aber es wird sich gut in
einen bestehenden GNOME-Desktop integieren lassen.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x

%make 

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
convert client/%{name}.xpm %{name}.png
install -m 0644 %{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %{name}.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %{name}.png %{buildroot}%_liconsdir/%{name}.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png


%find_lang %{name} 

%post
%post_install_gconf_schemas %{name} 
%{update_menus}

# scan users home file for .me-tv and if found remove it.
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do
  if [ -d /home/$idx/.me-tv ] ; then
    rm -rf /home/$idx/.me-tv
  fi
done

# do the same for those idiots who run as root
if [ -d /root/.me-tv ] ; then
rm -rf /root/.me-tv
fi

%preun
%preun_uninstall_gconf_schemas %{name} 

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc INSTALL COPYING AUTHORS changelog
%config(noreplace) %{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/*.xpm
%{_mandir}/man1/*.1.bz2
%{_datadir}/applications/*.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Mon Jul 02 2012 Neal <nealbrks0 at gmail dot com> 1.4.0.10-2pclos2012
- process

* Mon Jul 02 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.0.10-2pclos2012
- rebuild against new sqlite3 version
- added BuildRequires:	%{_lib}gstreamer0.10_0.10-devel	%{_lib}gstreamer-plugins-base0.10-devel

* Thu Jun 21 2012 Neal <nealbrks0 at gmail dot com> 1.4.0.10-1pclos2012
- process

* Thu Jun 21 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.0.10-1pclos2012
- 1.4.0.10
- added german summary and description
- added %{_lib} macros
- added xz compression
- added BuildRequires:	imagemagick for image conversion
- added BuildRequires:	vlc-devel %{_lib}unique-devel
- added ./autogen.sh
- fixed %doc line
- added conversion from .xpm file to .png file
- added copy .png to /usr/share/pixmaps

* Thu May 13 2010 slick50 <lxgator@gmail.com> 1.2.3-1pclos2010
- 1.2.3

* Sun Feb 28 2010 slick50 <lxgator@gmail.com> 1.1.6-1pclos2010
- 1.1.6

* Wed Sep 02 2009 texstar <texstar@gmail.com> 1.0.0-3pclos2009
- add post script

* Tue Sep 01 2009 slick50 <lxgator@gmail.com> 1.0.0-2pclos2009
- rebuild 
- add patch

* Sun Aug 30 2009 slick50 <lxgator@gmail.com> 1.0.0-1pclos2009
- 1.0.0

* Sun Aug 02 2009 slick50 <lxgator@gmail.com> 0.10.3-1pclos2009
- 0.10.3

* Fri Jul 24 2009 slick50 <lxgator@gmail.com> 0.10.1-1pclos2009
- 0.10.1

* Sat Jul 11 2009 slick50 <lxgator@gmail.com> 0.9.5-1pclos2009
- 0.9.5

* Sat Jul 04 2009 slick50 <lxgator@gmail.com> 0.9.3-1pclos2009
- 0.9.3

* Sun Jun 07 2009 slick50 <lxgator@gmail.com> 0.9.1-1pclos2009
- 0.9.1

* Tue Jun 02 2009 slick50 <lxgator@gmail.com> 0.9.0-1pclos2009
- 0.9.0

* Wed May 13 2009 slick50 <lxgator@gmail.com> 0.8.11-1pclos2009
- 0.8.11

* Tue Apr 28 2009 slick50 <lxgator@gmail.com> 0.8.7-1pclos2009
- 0.8.7

* Wed Apr 15 2009 slick50 <lxgator@gmail.com> 0.8.5-1pclos2007
- 0.8.5

* Fri Mar 18 2008 Slick50 <slick50@linuxgator.org> 0.5.31-1pclos2007
- 0.5.31

* Tue Mar 11 2008 don_crissti <don_crissti@gmx.com> 0.5.24-1pclos2007
- new version
- added docdir
- added and renamed some requirements

* Fri Feb 22 2008 Slick50 <linuxgator.org> - 0.5.20-1pclos2007
- initial package for pclinuxos 2007
- fix menu catagory (texstar)

